gi-glib-2.0.24: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.StatBuf

Contents

- Exported types
- Methods
  - Overloaded methods

Description

A type corresponding to the appropriate struct type for the `stat()` system call, depending on the platform and/or compiler being used.

See `g_stat()` for more information.

Synopsis

- newtype StatBuf = StatBuf (ManagedPtr StatBuf)

# Exported types

newtype StatBuf Source #

Memory-managed wrapper type.

Constructors

StatBuf (ManagedPtr StatBuf) |

#### Instances

Instances details

Eq StatBuf Source # |
Instance details Defined in GI.GLib.Structs.StatBuf Methods (==) :: StatBuf -> StatBuf -> Bool # (/=) :: StatBuf -> StatBuf -> Bool #
ManagedPtrNewtype StatBuf Source # |
Instance details Defined in GI.GLib.Structs.StatBuf Methods toManagedPtr :: StatBuf -> ManagedPtr StatBuf Source #
BoxedPtr StatBuf Source # |
Instance details Defined in GI.GLib.Structs.StatBuf Methods boxedPtrCopy :: StatBuf -> IO StatBuf Source # boxedPtrFree :: StatBuf -> IO () Source #

# Methods

## Overloaded methods